Package org.apache.wiki.api.events

## Interface CustomWikiEventListener<T>

Type Parameters:
  `T` - the type of the events' source.

All Superinterfaces:
  `java.util.EventListener`, `Initializable`, `WikiEventListener`

    public interface CustomWikiEventListener<T>
    extends WikiEventListener, Initializable

### Field Summary

Fields
`static java.util.List<CustomWikiEventListener<?>>` `LISTENERS` `WikiEventListener`s are stored on a `List< WeaKReference >` so we use this List to strong reference custom event listeners.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `client()` Returns the object of the events' source.

### Methods inherited from interface org.apache.wiki.api.engine.Initializable

`initialize`

### Methods inherited from interface org.apache.wiki.event.WikiEventListener

`actionPerformed`

### Field Detail

#### LISTENERS

    static final java.util.List<CustomWikiEventListener<?>> LISTENERS

`WikiEventListener`s are stored on a `List< WeaKReference >` so we use this List to strong reference custom event listeners.

### Method Detail

#### client

    T client()

Returns the object of the events' source. Typically, it will be obtained on the `Initializable.initialize(Engine, Properties)` method, and returned here.

Returns:
  the object of the events' source.